### Method

# Gtk Widget queue_resize

#### Declaration [src]

    void
    gtk_widget_queue_resize (
      GtkWidget* widget
    )

#### Description [src]

Flags a widget to have its size renegotiated.

This should be called when a widget for some reason has a new size request. For example, when you change the text in a `GtkLabel`, the label queues a resize to ensure there’s enough space for the new text.

Note that you cannot call gtk_widget_queue_resize() on a widget from inside its implementation of the `Gtk.WidgetClass.size_allocate` virtual method. Calls to gtk_widget_queue_resize() from inside `Gtk.WidgetClass.size_allocate` will be silently ignored.

This function is only for use in widget implementations.